#ifndef _LVO_EXEC_LIB_H
#define _LVO_EXEC_LIB_H

/*
 *  $VER: exec_lvolib.h (08/03/97)
 *
 */


#define	LVO_Supervisor	(-0x1E)
#define	LVO_execPrivate1	(-0x24)
#define	LVO_execPrivate2	(-0x2A)
#define	LVO_execPrivate3	(-0x30)
#define	LVO_execPrivate4	(-0x36)
#define	LVO_execPrivate5	(-0x3C)
#define	LVO_execPrivate6	(-0x42)
#define	LVO_InitCode	(-0x48)
#define	LVO_InitStruct	(-0x4E)
#define	LVO_MakeLibrary	(-0x54)
#define	LVO_MakeFunctions	(-0x5A)
#define	LVO_FindResident	(-0x60)
#define	LVO_InitResident	(-0x66)
#define	LVO_Alert	(-0x6C)
#define	LVO_Debug	(-0x72)
#define	LVO_Disable	(-0x78)
#define	LVO_Enable	(-0x7E)
#define	LVO_Forbid	(-0x84)
#define	LVO_Permit	(-0x8A)
#define	LVO_SetSR	(-0x90)
#define	LVO_SuperState	(-0x96)
#define	LVO_UserState	(-0x9C)
#define	LVO_SetIntVector	(-0xA2)
#define	LVO_AddIntServer	(-0xA8)
#define	LVO_RemIntServer	(-0xAE)
#define	LVO_Cause	(-0xB4)
#define	LVO_Allocate	(-0xBA)
#define	LVO_Deallocate	(-0xC0)
#define	LVO_AllocMem	(-0xC6)
#define	LVO_AllocAbs	(-0xCC)
#define	LVO_FreeMem	(-0xD2)
#define	LVO_AvailMem	(-0xD8)
#define	LVO_AllocEntry	(-0xDE)
#define	LVO_FreeEntry	(-0xE4)
#define	LVO_Insert	(-0xEA)
#define	LVO_AddHead	(-0xF0)
#define	LVO_AddTail	(-0xF6)
#define	LVO_Remove	(-0xFC)
#define	LVO_RemHead	(-0x102)
#define	LVO_RemTail	(-0x108)
#define	LVO_Enqueue	(-0x10E)
#define	LVO_FindName	(-0x114)
#define	LVO_AddTask	(-0x11A)
#define	LVO_RemTask	(-0x120)
#define	LVO_FindTask	(-0x126)
#define	LVO_SetTaskPri	(-0x12C)
#define	LVO_SetSignal	(-0x132)
#define	LVO_SetExcept	(-0x138)
#define	LVO_Wait	(-0x13E)
#define	LVO_Signal	(-0x144)
#define	LVO_AllocSignal	(-0x14A)
#define	LVO_FreeSignal	(-0x150)
#define	LVO_AllocTrap	(-0x156)
#define	LVO_FreeTrap	(-0x15C)
#define	LVO_AddPort	(-0x162)
#define	LVO_RemPort	(-0x168)
#define	LVO_PutMsg	(-0x16E)
#define	LVO_GetMsg	(-0x174)
#define	LVO_ReplyMsg	(-0x17A)
#define	LVO_WaitPort	(-0x180)
#define	LVO_FindPort	(-0x186)
#define	LVO_AddLibrary	(-0x18C)
#define	LVO_RemLibrary	(-0x192)
#define	LVO_OldOpenLibrary	(-0x198)
#define	LVO_CloseLibrary	(-0x19E)
#define	LVO_SetFunction	(-0x1A4)
#define	LVO_SumLibrary	(-0x1AA)
#define	LVO_AddDevice	(-0x1B0)
#define	LVO_RemDevice	(-0x1B6)
#define	LVO_OpenDevice	(-0x1BC)
#define	LVO_CloseDevice	(-0x1C2)
#define	LVO_DoIO	(-0x1C8)
#define	LVO_SendIO	(-0x1CE)
#define	LVO_CheckIO	(-0x1D4)
#define	LVO_WaitIO	(-0x1DA)
#define	LVO_AbortIO	(-0x1E0)
#define	LVO_AddResource	(-0x1E6)
#define	LVO_RemResource	(-0x1EC)
#define	LVO_OpenResource	(-0x1F2)
#define	LVO_execPrivate7	(-0x1F8)
#define	LVO_execPrivate8	(-0x1FE)
#define	LVO_execPrivate9	(-0x204)
#define	LVO_RawDoFmt	(-0x20A)
#define	LVO_GetCC	(-0x210)
#define	LVO_TypeOfMem	(-0x216)
#define	LVO_Procure	(-0x21C)
#define	LVO_Vacate	(-0x222)
#define	LVO_OpenLibrary	(-0x228)
#define	LVO_InitSemaphore	(-0x22E)
#define	LVO_ObtainSemaphore	(-0x234)
#define	LVO_ReleaseSemaphore	(-0x23A)
#define	LVO_AttemptSemaphore	(-0x240)
#define	LVO_ObtainSemaphoreList	(-0x246)
#define	LVO_ReleaseSemaphoreList	(-0x24C)
#define	LVO_FindSemaphore	(-0x252)
#define	LVO_AddSemaphore	(-0x258)
#define	LVO_RemSemaphore	(-0x25E)
#define	LVO_SumKickData	(-0x264)
#define	LVO_AddMemList	(-0x26A)
#define	LVO_CopyMem	(-0x270)
#define	LVO_CopyMemQuick	(-0x276)
#define	LVO_CacheClearU	(-0x27C)
#define	LVO_CacheClearE	(-0x282)
#define	LVO_CacheControl	(-0x288)
#define	LVO_CreateIORequest	(-0x28E)
#define	LVO_DeleteIORequest	(-0x294)
#define	LVO_CreateMsgPort	(-0x29A)
#define	LVO_DeleteMsgPort	(-0x2A0)
#define	LVO_ObtainSemaphoreShared	(-0x2A6)
#define	LVO_AllocVec	(-0x2AC)
#define	LVO_FreeVec	(-0x2B2)
#define	LVO_CreatePool	(-0x2B8)
#define	LVO_DeletePool	(-0x2BE)
#define	LVO_AllocPooled	(-0x2C4)
#define	LVO_FreePooled	(-0x2CA)
#define	LVO_AttemptSemaphoreShared	(-0x2D0)
#define	LVO_ColdReboot	(-0x2D6)
#define	LVO_StackSwap	(-0x2DC)
#define	LVO_ChildFree	(-0x2E2)
#define	LVO_ChildOrphan	(-0x2E8)
#define	LVO_ChildStatus	(-0x2EE)
#define	LVO_ChildWait	(-0x2F4)
#define	LVO_CachePreDMA	(-0x2FA)
#define	LVO_CachePostDMA	(-0x300)
#define	LVO_AddMemHandler	(-0x306)
#define	LVO_RemMemHandler	(-0x30C)
#define	LVO_ObtainQuickVector	(-0x312)
#define	LVO_execPrivate10	(-0x318)
#define	LVO_execPrivate11	(-0x31E)
#define	LVO_execPrivate12	(-0x324)
#define	LVO_execPrivate13	(-0x32A)
#define	LVO_execPrivate14	(-0x330)
#define	LVO_execPrivate15	(-0x336)

#endif
